Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.SplitterDragHandler.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.SplitterDragHandler.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.SplitterDragHandler.cs	(revision 4068)
@@ -1,165 +1,136 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Drawing;
 using System.Windows.Forms;
-using System.Drawing;
-using System.Drawing.Drawing2D;
-using System.ComponentModel;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-    partial class DockPanel
-    {
-        private sealed class SplitterDragHandler : DragHandler
-        {
-            private class SplitterOutline
-            {
-                public SplitterOutline()
-                {
-                    m_dragForm = new DragForm();
-                    SetDragForm(Rectangle.Empty);
-                    DragForm.BackColor = Color.Black;
-                    DragForm.Opacity = 0.7;
-                    DragForm.Show(false);
-                }
-
-                DragForm m_dragForm;
-                private DragForm DragForm
-                {
-                    get { return m_dragForm; }
-                }
-
-                public void Show(Rectangle rect)
-                {
-                    SetDragForm(rect);
-                }
-
-                public void Close()
-                {
-                    DragForm.Close();
-                }
-
-                private void SetDragForm(Rectangle rect)
-                {
-                    DragForm.Bounds = rect;
-                    if (rect == Rectangle.Empty)
-                        DragForm.Region = new Region(Rectangle.Empty);
-                    else if (DragForm.Region != null)
-                        DragForm.Region = null;
-                }
-            }
-
-            public SplitterDragHandler(DockPanel dockPanel)
-                : base(dockPanel)
-            {
-            }
-
-            public new ISplitterDragSource DragSource
-            {
-                get { return base.DragSource as ISplitterDragSource; }
-                private set { base.DragSource = value; }
-            }
-
-            private SplitterOutline m_outline;
-            private SplitterOutline Outline
-            {
-                get { return m_outline; }
-                set { m_outline = value; }
-            }
-
-            private Rectangle m_rectSplitter;
-            private Rectangle RectSplitter
-            {
-                get { return m_rectSplitter; }
-                set { m_rectSplitter = value; }
-            }
-
-            public void BeginDrag(ISplitterDragSource dragSource, Rectangle rectSplitter)
-            {
-                DragSource = dragSource;
-                RectSplitter = rectSplitter;
-
-                if (!BeginDrag())
-                {
-                    DragSource = null;
-                    return;
-                }
-
-                Outline = new SplitterOutline();
-                Outline.Show(rectSplitter);
-                DragSource.BeginDrag(rectSplitter);
-            }
-
-            protected override void OnDragging()
-            {
-                Outline.Show(GetSplitterOutlineBounds(Control.MousePosition));
-            }
-
-            protected override void OnEndDrag(bool abort)
-            {
-                DockPanel.SuspendLayout(true);
-
-                Outline.Close();
-
-                if (!abort)
-                    DragSource.MoveSplitter(GetMovingOffset(Control.MousePosition));
-
-                DragSource.EndDrag();
-                DockPanel.ResumeLayout(true, true);
-            }
-
-            private int GetMovingOffset(Point ptMouse)
-            {
-                Rectangle rect = GetSplitterOutlineBounds(ptMouse);
-                if (DragSource.IsVertical)
-                    return rect.X - RectSplitter.X;
-                else
-                    return rect.Y - RectSplitter.Y;
-            }
-
-            private Rectangle GetSplitterOutlineBounds(Point ptMouse)
-            {
-                Rectangle rectLimit = DragSource.DragLimitBounds;
-
-                Rectangle rect = RectSplitter;
-                if (rectLimit.Width <= 0 || rectLimit.Height <= 0)
-                    return rect;
-
-                if (DragSource.IsVertical)
-                {
-                    rect.X += ptMouse.X - StartMousePosition.X;
-                    rect.Height = rectLimit.Height;
-                }
-                else
-                {
-                    rect.Y += ptMouse.Y - StartMousePosition.Y;
-                    rect.Width = rectLimit.Width;
-                }
-
-                if (rect.Left < rectLimit.Left)
-                    rect.X = rectLimit.X;
-                if (rect.Top < rectLimit.Top)
-                    rect.Y = rectLimit.Y;
-                if (rect.Right > rectLimit.Right)
-                    rect.X -= rect.Right - rectLimit.Right;
-                if (rect.Bottom > rectLimit.Bottom)
-                    rect.Y -= rect.Bottom - rectLimit.Bottom;
-
-                return rect;
-            }
+namespace WeifenLuo.WinFormsUI.Docking {
+  partial class DockPanel {
+    private sealed class SplitterDragHandler : DragHandler {
+      private class SplitterOutline {
+        public SplitterOutline() {
+          m_dragForm = new DragForm();
+          SetDragForm(Rectangle.Empty);
+          DragForm.BackColor = Color.Black;
+          DragForm.Opacity = 0.7;
+          DragForm.Show(false);
         }
 
-        private SplitterDragHandler m_splitterDragHandler = null;
-        private SplitterDragHandler GetSplitterDragHandler()
-        {
-            if (m_splitterDragHandler == null)
-                m_splitterDragHandler = new SplitterDragHandler(this);
-            return m_splitterDragHandler;
+        DragForm m_dragForm;
+        private DragForm DragForm {
+          get { return m_dragForm; }
         }
 
-        internal void BeginDrag(ISplitterDragSource dragSource, Rectangle rectSplitter)
-        {
-            GetSplitterDragHandler().BeginDrag(dragSource, rectSplitter);
+        public void Show(Rectangle rect) {
+          SetDragForm(rect);
         }
+
+        public void Close() {
+          DragForm.Close();
+        }
+
+        private void SetDragForm(Rectangle rect) {
+          DragForm.Bounds = rect;
+          if (rect == Rectangle.Empty)
+            DragForm.Region = new Region(Rectangle.Empty);
+          else if (DragForm.Region != null)
+            DragForm.Region = null;
+        }
+      }
+
+      public SplitterDragHandler(DockPanel dockPanel)
+        : base(dockPanel) {
+      }
+
+      public new ISplitterDragSource DragSource {
+        get { return base.DragSource as ISplitterDragSource; }
+        private set { base.DragSource = value; }
+      }
+
+      private SplitterOutline m_outline;
+      private SplitterOutline Outline {
+        get { return m_outline; }
+        set { m_outline = value; }
+      }
+
+      private Rectangle m_rectSplitter;
+      private Rectangle RectSplitter {
+        get { return m_rectSplitter; }
+        set { m_rectSplitter = value; }
+      }
+
+      public void BeginDrag(ISplitterDragSource dragSource, Rectangle rectSplitter) {
+        DragSource = dragSource;
+        RectSplitter = rectSplitter;
+
+        if (!BeginDrag()) {
+          DragSource = null;
+          return;
+        }
+
+        Outline = new SplitterOutline();
+        Outline.Show(rectSplitter);
+        DragSource.BeginDrag(rectSplitter);
+      }
+
+      protected override void OnDragging() {
+        Outline.Show(GetSplitterOutlineBounds(Control.MousePosition));
+      }
+
+      protected override void OnEndDrag(bool abort) {
+        DockPanel.SuspendLayout(true);
+
+        Outline.Close();
+
+        if (!abort)
+          DragSource.MoveSplitter(GetMovingOffset(Control.MousePosition));
+
+        DragSource.EndDrag();
+        DockPanel.ResumeLayout(true, true);
+      }
+
+      private int GetMovingOffset(Point ptMouse) {
+        Rectangle rect = GetSplitterOutlineBounds(ptMouse);
+        if (DragSource.IsVertical)
+          return rect.X - RectSplitter.X;
+        else
+          return rect.Y - RectSplitter.Y;
+      }
+
+      private Rectangle GetSplitterOutlineBounds(Point ptMouse) {
+        Rectangle rectLimit = DragSource.DragLimitBounds;
+
+        Rectangle rect = RectSplitter;
+        if (rectLimit.Width <= 0 || rectLimit.Height <= 0)
+          return rect;
+
+        if (DragSource.IsVertical) {
+          rect.X += ptMouse.X - StartMousePosition.X;
+          rect.Height = rectLimit.Height;
+        } else {
+          rect.Y += ptMouse.Y - StartMousePosition.Y;
+          rect.Width = rectLimit.Width;
+        }
+
+        if (rect.Left < rectLimit.Left)
+          rect.X = rectLimit.X;
+        if (rect.Top < rectLimit.Top)
+          rect.Y = rectLimit.Y;
+        if (rect.Right > rectLimit.Right)
+          rect.X -= rect.Right - rectLimit.Right;
+        if (rect.Bottom > rectLimit.Bottom)
+          rect.Y -= rect.Bottom - rectLimit.Bottom;
+
+        return rect;
+      }
     }
+
+    private SplitterDragHandler m_splitterDragHandler = null;
+    private SplitterDragHandler GetSplitterDragHandler() {
+      if (m_splitterDragHandler == null)
+        m_splitterDragHandler = new SplitterDragHandler(this);
+      return m_splitterDragHandler;
+    }
+
+    internal void BeginDrag(ISplitterDragSource dragSource, Rectangle rectSplitter) {
+      GetSplitterDragHandler().BeginDrag(dragSource, rectSplitter);
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPanel.cs	(revision 4068)
@@ -1,12 +1,8 @@
 using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Diagnostics.CodeAnalysis;
 using System.Drawing;
-using System.Drawing.Drawing2D;
 using System.Windows.Forms;
-using System.ComponentModel;
-using System.Runtime.InteropServices;
-using System.IO;
-using System.Text;
-using System.Diagnostics.CodeAnalysis;
-using System.Collections.Generic;
 
 // To simplify the process of finding the toolbox bitmap resource:
@@ -15,48 +11,44 @@
 // #3 use the "<default namespace>.<resourcename>" string to locate the resource.
 // See: http://www.bobpowell.net/toolboxbitmap.htm
-internal class resfinder
-{
+internal class resfinder {
 }
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-    [SuppressMessage("Microsoft.Naming", "CA1720:AvoidTypeNamesInParameters", MessageId = "0#")]
-	public delegate IDockContent DeserializeDockContent(string persistString);
-
-    [LocalizedDescription("DockPanel_Description")]
-    [Designer(typeof(System.Windows.Forms.Design.ControlDesigner))]
-    [ToolboxBitmap(typeof(resfinder), "WeifenLuo.WinFormsUI.Docking.DockPanel.bmp")]
-    [DefaultProperty("DocumentStyle")]
-    [DefaultEvent("ActiveContentChanged")]
-	public partial class DockPanel : Panel
-	{
-        private FocusManagerImpl m_focusManager;
-        private DockPanelExtender m_extender;
-        private DockPaneCollection m_panes;
-        private FloatWindowCollection m_floatWindows;
-        private AutoHideWindowControl m_autoHideWindow;
-        private DockWindowCollection m_dockWindows;
-        private DockContent m_dummyContent; 
-        private Control m_dummyControl;
-        
-		public DockPanel()
-		{
-            m_focusManager = new FocusManagerImpl(this);
-			m_extender = new DockPanelExtender(this);
-			m_panes = new DockPaneCollection();
-			m_floatWindows = new FloatWindowCollection();
-
-            SuspendLayout();
-
-			m_autoHideWindow = new AutoHideWindowControl(this);
-			m_autoHideWindow.Visible = false;
-            SetAutoHideWindowParent();
-
-			m_dummyControl = new DummyControl();
-			m_dummyControl.Bounds = new Rectangle(0, 0, 1, 1);
-			Controls.Add(m_dummyControl);
-
-			m_dockWindows = new DockWindowCollection(this);
-			Controls.AddRange(new Control[]	{
+namespace WeifenLuo.WinFormsUI.Docking {
+  [SuppressMessage("Microsoft.Naming", "CA1720:AvoidTypeNamesInParameters", MessageId = "0#")]
+  public delegate IDockContent DeserializeDockContent(string persistString);
+
+  [LocalizedDescription("DockPanel_Description")]
+  [Designer(typeof(System.Windows.Forms.Design.ControlDesigner))]
+  [ToolboxBitmap(typeof(resfinder), "WeifenLuo.WinFormsUI.Docking.DockPanel.bmp")]
+  [DefaultProperty("DocumentStyle")]
+  [DefaultEvent("ActiveContentChanged")]
+  public partial class DockPanel : Panel {
+    private FocusManagerImpl m_focusManager;
+    private DockPanelExtender m_extender;
+    private DockPaneCollection m_panes;
+    private FloatWindowCollection m_floatWindows;
+    private AutoHideWindowControl m_autoHideWindow;
+    private DockWindowCollection m_dockWindows;
+    private DockContent m_dummyContent;
+    private Control m_dummyControl;
+
+    public DockPanel() {
+      m_focusManager = new FocusManagerImpl(this);
+      m_extender = new DockPanelExtender(this);
+      m_panes = new DockPaneCollection();
+      m_floatWindows = new FloatWindowCollection();
+
+      SuspendLayout();
+
+      m_autoHideWindow = new AutoHideWindowControl(this);
+      m_autoHideWindow.Visible = false;
+      SetAutoHideWindowParent();
+
+      m_dummyControl = new DummyControl();
+      m_dummyControl.Bounds = new Rectangle(0, 0, 1, 1);
+      Controls.Add(m_dummyControl);
+
+      m_dockWindows = new DockWindowCollection(this);
+      Controls.AddRange(new Control[]	{
 				DockWindows[DockState.Document],
 				DockWindows[DockState.DockLeft],
